Subject: Re: [PATCH RFC] RDMA/core: Handle ARPHRD_NONE devices

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 5 Jun 2023 16:05:04 -0300

On Sat, Jun 03, 2023 at 01:51:10PM +0000, Bernard Metzler wrote:
> The whole GID based address resolution I think is an
> artefact of IB/RoCE address handling. iWarp is supposed to
> run on TCP streams, which endpoints are well defined by L3
> addresses. IP routing shall define the outgoing interface...
> siw tries to play well and invents GIDs to satisfy
> the RDMA core concepts. But a GID is not part of the iWarp
> concept. I am not sure for 'real' HW iWarp devices, but to
> me it looks like the iwcm code could be done more
> independently, if no application expects valid GIDs.

GIDs are part of verbs, but I'm not really sure how iwarp fit itself
into verbs with the mandatory CM and all. Possibly the only purpose of
the GID is to convey some information from the CM to uverbs layer.

Jason